commit: e302d6b2729bb6f790019fe4f4a7c7969abfa456
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 24 18:42:17 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 19:03:54 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e302d6b2
dev-python/clang-python: Die on test failures
dev-python/clang-python/clang-python-4.0.0.ebuild | 2 +-
dev-python/clang-python/clang-python-4.0.1.ebuild | 2 +-
dev-python/clang-python/clang-python-5.0.9999.ebuild | 2 +-
dev-python/clang-python/clang-python-9999.ebuild | 2 +-
4 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-python/clang-python/clang-python-4.0.0.ebuild
b/dev-python/clang-python/clang-python-4.0.0.ebuild
index dc7e4ee8aaa..c77ee951ec2 100644
--- a/dev-python/clang-python/clang-python-4.0.0.ebuild
+++ b/dev-python/clang-python/clang-python-4.0.0.ebuild
@@ -29,7 +29,7 @@ DEPEND="${RDEPEND}
S=${WORKDIR}/cfe-${PV/_/}.src/bindings/python
src_test() {
- python_foreach_impl nosetests -v
+ python_foreach_impl nosetests -v || die
}
src_install() {
diff --git a/dev-python/clang-python/clang-python-4.0.1.ebuild
b/dev-python/clang-python/clang-python-4.0.1.ebuild
index dc7e4ee8aaa..c77ee951ec2 100644
--- a/dev-python/clang-python/clang-python-4.0.1.ebuild
+++ b/dev-python/clang-python/clang-python-4.0.1.ebuild
@@ -29,7 +29,7 @@ DEPEND="${RDEPEND}
S=${WORKDIR}/cfe-${PV/_/}.src/bindings/python
src_test() {
- python_foreach_impl nosetests -v
+ python_foreach_impl nosetests -v || die
}
src_install() {
diff --git a/dev-python/clang-python/clang-python-5.0.9999.ebuild
b/dev-python/clang-python/clang-python-5.0.9999.ebuild
index 051a3308bd4..c892681f341 100644
--- a/dev-python/clang-python/clang-python-5.0.9999.ebuild
+++ b/dev-python/clang-python/clang-python-5.0.9999.ebuild
@@ -32,7 +32,7 @@ DEPEND="${RDEPEND}
S=${WORKDIR}/${P}/bindings/python
src_test() {
- python_foreach_impl nosetests -v
+ python_foreach_impl nosetests -v || die
}
src_install() {
diff --git a/dev-python/clang-python/clang-python-9999.ebuild
b/dev-python/clang-python/clang-python-9999.ebuild
index be306e0a887..6019ef49999 100644
--- a/dev-python/clang-python/clang-python-9999.ebuild
+++ b/dev-python/clang-python/clang-python-9999.ebuild
@@ -31,7 +31,7 @@ DEPEND="${RDEPEND}
S=${WORKDIR}/${P}/bindings/python
src_test() {
- python_foreach_impl nosetests -v
+ python_foreach_impl nosetests -v || die
}
src_install() {